#!/bin/sh
# http://www.annodex.net/software/liboggz
# http://www.xiph.org/oggz/
#
# script: til <rob DOT til DOT freedman AT googlemail DOT com>
REPO=http://zenwalk.pinguix.com/user-accounts/tilderb/
set -e -u -x

# liboggz
version=1.1.0
build=${build:-64.1}
arch=${arch:-i686}
tune=pentium-m
tune=${tune:-i686}

pkgname=liboggz-$version
package=$pkgname-$arch-$build
#
#wget -N http://downloads.xiph.org/releases/liboggz/$pkgname.tar.gz

# build directory
CWD=`pwd`
TMP=${TMP:-$CWD}
PKG=$TMP/$package
SRC=$TMP/$pkgname

[ -d $PKG ] && rm -fr $PKG
[ -d $SRC ] && rm -fr $SRC

mkdir -p $PKG/{install,etc/bash_completion.d,usr/{src,doc}/$pkgname}

tar xzf $CWD/$pkgname.tar.gz -C $TMP
cd $SRC
sed -i "s:share/doc/@PACKAGE@:doc/$pkgname:g" doc/Makefile.in

CFLAGS="-O2 -march=$arch -mtune=$tune" \
CXXFLAGS="-O2 -march=$arch -mtune=$tune" \
  ./configure \
    --prefix=/usr \
	--mandir=/usr/man \
	--disable-static

make || exit 1
#make check || exit 1
make install DESTDIR=$PKG

# helperline
(cd $PKG;find usr -printf "%M %u:%g %p %l\n" |sort >$CWD/installed.files)

# docs
cp -a AUTHORS COPYING ChangeLog README $PKG/usr/doc/$pkgname
cp -a bash-completion/oggz 		$PKG/etc/bash_completion.d/oggz.new
cd $PKG
# strip symbols
find . |xargs file |grep "executable\|shared object" |grep ELF |\
	cut -f 1 -d :| xargs -r strip --strip-unneeded
	
find . |xargs file |grep "current ar archive" |\
	cut -f 1 -d : |xargs -r strip -g

find usr/man -type f | xargs -r gzip -9

#[ -d usr/share ] && rm -fr usr/share
rm -fr usr/doc/$pkgname/{latex,html}
echo "http://www.annodex.net/software/liboggz/html/" \
	> usr/doc/$pkgname/apidocs.html

# slack-desc
#      |-----handy-ruler------------------------------------------------------|
cat <<EOF > install/slack-desc
liboggz: liboggz (Oggz API to read/write ogg files/streams)
liboggz:
liboggz: Oggz provides a simple programming interface
liboggz: for reading and writing Ogg files and streams.
liboggz:
EOF
# build script
cp -a $CWD/build-liboggz.sh usr/src/$pkgname

fakeroot /sbin/makepkg  -l y -c n $CWD/$package.txz
cd $CWD

md5sum $package.txz > $package.md5
echo "libogg" 	> $package.dep

echo "$REPO/extra/l/liboggz/build-liboggz.sh 
http://downloads.xiph.org/releases/liboggz/liboggz-$version.tar.gz" \
	> $package.src
